Core - Bug # 50363

Status: Rejected Priority: Must have

Author: Tobias Klepp Category: File Abstraction Layer (FAL)
Created: 2013-07-24 Assigned To:

Updated: 2013-09-06 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Is Regression: Yes

Sprint Focus:

Subject:

Fatal error: Call to undefined method TYPO3\CMS\Core\Resource\ProcessedFile::getUpdatedProperties()

Description

After installation of TYPO3 6.1.2 | get the following error, if | select my folders in fileadmin to display the images. But | don't get the
error for every folder. | updated the TYPOS3 from version 6.1.1 to 6.1.2 and | think only folders with metadata in files like images have

the problem. Directories with only html files for example are fine.

*Fatal error:* Call to undefined method TYPO3\CMS\Core\Resource\ProcessedFile::getUpdatedProperties() in
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\FileRepository.php on line 257

*Call Stack:*

0.0000 348032 1. {main}() C:\Daten\arbeitwww\typo3_6\typo3\mod.php:0

0.3620 20975368 2. require('C:\Daten\arbeitiwww\typo3_6\typo3\sysext\filelistimodi\index.php')
C:\Daten\arbeit\www\typo3_6\typo3\mod.php:41

0.3680 21377016 3. TYPO3\CMS\Filelist\Controller\FileListController->main()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\filelisttmod1\index.php:46

0.3960 22281080 4. TYPO3\CMS\Filelist\FileList->generateList()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\filelist\Classes\Controller\FileListController.php:290
0.3960 22281152 5. TYPO3\CMS\Filelist\FileList->getTable()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\filelist\Classes\FileList.php:199

0.4810 22994112 6. TYPO3\CMS\Filelist\FileList->formatFileList()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\filelist\Classes\FileList.php:353

0.6821 24744872 7. TYPO3\CMS\Core\Resource\File->process()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\filelist\Classes\FileList.php:622

0.6821 24744872 8. TYPO3\CMS\Core\Resource\ResourceStorage->processFile()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\File.php:293

0.6821 24744872 9. TYPO3\CMS\Core\Resource\Service\FileProcessingService->processFile()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\ResourceStorage.php:773
0.6841 24755096 10. TYPO3\CMS\Core\Resource\ProcessedFile->isProcessed()
C:\Daten\arbeitwww\typo3_6\typo3\sysext\core\Classes\Resource\Service\FileProcessingService.php:102
0.6851 24755096 11. TYPO3\CMS\Core\Resource\ProcessedFile->needsReprocessing()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\ProcessedFile.php:274
0.6851 24756016 12. TYPO3\CMS\Core\Resource\ProcessedFile->delete()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\ProcessedFile.php:471
0.6851 24756016 13. TYPO3\CMS\Core\Resource\AbstractFile->delete()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\ProcessedFile.php:413
0.6851 24756016 14. TYPO3\CMS\Core\Resource\ResourceStorage->deleteFile()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\AbstractFile.php:440

0.6861 24756072 15. TYPO3\CMS\Core\Resource\FileRepository->update()
C:\Daten\arbeit\www\typo3_6\typo3\sysext\core\Classes\Resource\ResourceStorage.php:993

Related issues:

related to Core - Bug # 48336: sys_file record doesn't get flagged as delete ... Rejected 2013-05-17
related to Core - Bug # 50508: Re-uploading file in backend fails Resolved 2013-07-29
duplicated by Core - Bug # 50377: Since update from 6.0.6 to 6.0.7 extension ... Closed 2013-07-24
History

#1 - 2013-07-24 15:46 - Markus Klein
- Status changed from New to Accepted

Also 6.0 affected.

#2 - 2013-07-25 01:09 - Ernesto Baschny
- Category set to 1394

- TYPOS3 Version changed from 6.1 to 6.0
#3 - 2013-07-25 09:37 - Frans Saris

I think it is related to #48336 but | don't understant wy the delete is called when you try to view a folder?

Gr. Frans

#4 - 2013-07-25 10:52 - Helmut Hummel

Frans Saris wrote:

I think it is related to #48336 but | don't understant wy the delete is called when you try to view a folder?

It is related to #48336 and a processed file needs to be (re-) created thus delete is called.

#5 - 2013-07-25 11:25 - Frans Saris

Please do not revert but fix :)

| will have a look at it after lunch

#6 - 2013-07-25 15:24 - Ernesto Baschny

Cool, Frans, thanks for your help! You've got something already?

#7 - 2013-07-25 15:46 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/22562

#8 - 2013-07-25 16:16 - Frans Saris

Hi Ernesto,

yes | have got something. Please have a look at it and let me know if this can be a solution or if we should take an other approach.

gr. Frans

#9 - 2013-07-26 08:57 - Gernot Ploiner

| have tested the Patch and it works. Thank you.

#10 - 2013-07-26 12:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/22562

#11 - 2013-07-26 13:01 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22562

#12 - 2013-07-26 16:31 - Frans Saris

Gernot,

Can you please test the latest patch?

Gr. Frans

#13 - 2013-07-26 16:52 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22562

#14 - 2013-07-29 17:37 - Julian Wundrak

Gerrit Code Review wrote:

Patch set 4 for branch master has been pushed to the review server.
It is available at https.//review.typo3.orq/22562
This path works very well for me. Thanks!

#15 - 2013-07-29 18:13 - Maximilian Anton Grimm

Julian Wundrak wrote:

Gerrit Code Review wrote:

Patch set 4 for branch master has been pushed to the review server.
It is available at https.//review.typo3.0rg/22562

This path works very well for me. Thanks!

Just tested, works great, thx.

#16 - 2013-07-29 18:48 - Oliver Hader
- Status changed from Under Review to Rejected
- Target version deleted (next-patchlevel)

The initial change that introduced the regression has been reverted for all branches. The reason for this is, that the concept of using the deleted flag
was not supported at all in the file abstraction layer. The topic will be discussed an continued during the FAL code sprint in the first week of August
2013 in Mainz/DE.

#17 - 2013-09-06 22:21 - Ernesto Baschny
- Is Regression set to Yes

#18 - 2013-09-06 22:22 - Ernesto Baschny
- Category changed from 1394 to File Abstraction Layer (FAL)
